/*
 * Copyright 2001, QNX Software Systems Ltd. Unpublished Work All Rights
 * Reserved.
 *
 * This source code contains confidential information of QNX Software Systems
 * Ltd. (QSSL). Any use, reproduction, modification, disclosure, distribution
 * or transfer of this software, or any software which includes or is based
 * upon any of this code, is only permitted under the terms of the QNX
 * Confidential Source License version 1.0 (see licensing.qnx.com for details)
 * or as otherwise expressly authorized by a written license agreement from
 * QSSL. For more information, please email licensing@qnx.com.
 */
#ifndef __MIPS_4173INTR_H_INCLUDED
#define __MIPS_4173INTR_H_INCLUDED

#define VRC4173_UNIT_BASE      0x17000000 

/* Cascaded off the MIPS4122_INTR_GIU1 vector */
#define VRC4173_INTR_CLASS_SYS			(0x8003UL<<16)
#define VRC4173_INTR_USB					(VRC4173_INTR_CLASS_SYS+0)
#define VRC4173_INTR_PCMCIA2				(VRC4173_INTR_CLASS_SYS+1)
#define VRC4173_INTR_PCMCIA1				(VRC4173_INTR_CLASS_SYS+2)
#define VRC4173_INTR_PS2CH2				(VRC4173_INTR_CLASS_SYS+3) 
#define VRC4173_INTR_PS2CH1				(VRC4173_INTR_CLASS_SYS+4)
#define VRC4173_INTR_PIU					(VRC4173_INTR_CLASS_SYS+5)
#define VRC4173_INTR_AIU					(VRC4173_INTR_CLASS_SYS+6)
#define VRC4173_INTR_KIU					(VRC4173_INTR_CLASS_SYS+7)
#define VRC4173_INTR_GIU					(VRC4173_INTR_CLASS_SYS+8)
#define VRC4173_INTR_AC97				(VRC4173_INTR_CLASS_SYS+9)
#define VRC4173_INTR_AC971				(VRC4173_INTR_CLASS_SYS+10)
#define VRC4173_INTR_DOZEPIU				(VRC4173_INTR_CLASS_SYS+13)

/* Cascaded off the VRC4173_INTR_GUI vector */
#define VRC4173_INTR_CLASS_GIU			(0x8004UL<<16)
#define VRC4173_INTR_GIU0				(VRC4173_INTR_CLASS_GIU+0)
#define VRC4173_INTR_GIU1				(VRC4173_INTR_CLASS_GIU+1)
#define VRC4173_INTR_GIU2				(VRC4173_INTR_CLASS_GIU+2)
#define VRC4173_INTR_GIU3				(VRC4173_INTR_CLASS_GIU+3)
#define VRC4173_INTR_GIU4				(VRC4173_INTR_CLASS_GIU+4)
#define VRC4173_INTR_GIU5				(VRC4173_INTR_CLASS_GIU+5)
#define VRC4173_INTR_GIU6				(VRC4173_INTR_CLASS_GIU+6)
#define VRC4173_INTR_GIU7				(VRC4173_INTR_CLASS_GIU+7)
#define VRC4173_INTR_GIU8				(VRC4173_INTR_CLASS_GIU+8)
#define VRC4173_INTR_GIU9				(VRC4173_INTR_CLASS_GIU+9)
#define VRC4173_INTR_GIU10				(VRC4173_INTR_CLASS_GIU+10)
#define VRC4173_INTR_GIU11				(VRC4173_INTR_CLASS_GIU+11)
#define VRC4173_INTR_GIU12				(VRC4173_INTR_CLASS_GIU+12)
#define VRC4173_INTR_GIU13				(VRC4173_INTR_CLASS_GIU+13)
#define VRC4173_INTR_GIU14				(VRC4173_INTR_CLASS_GIU+14)
#define VRC4173_INTR_GIU15				(VRC4173_INTR_CLASS_GIU+15)
#define VRC4173_INTR_GIU16				(VRC4173_INTR_CLASS_GIU+16)
#define VRC4173_INTR_GIU17				(VRC4173_INTR_CLASS_GIU+17)
#define VRC4173_INTR_GIU18				(VRC4173_INTR_CLASS_GIU+18)
#define VRC4173_INTR_GIU19				(VRC4173_INTR_CLASS_GIU+19)
#define VRC4173_INTR_GIU20				(VRC4173_INTR_CLASS_GIU+20)
#define VRC4173_INTR_GIU21				(VRC4173_INTR_CLASS_GIU+21)
#define VRC4173_INTR_GIU22				(VRC4173_INTR_CLASS_GIU+22)
#define VRC4173_INTR_GIU23				(VRC4173_INTR_CLASS_GIU+23)
#define VRC4173_INTR_GIU24				(VRC4173_INTR_CLASS_GIU+24)
#define VRC4173_INTR_GIU25				(VRC4173_INTR_CLASS_GIU+25)
#define VRC4173_INTR_GIU26				(VRC4173_INTR_CLASS_GIU+26)
#define VRC4173_INTR_GIU27				(VRC4173_INTR_CLASS_GIU+27)
#define VRC4173_INTR_GIU28				(VRC4173_INTR_CLASS_GIU+28)
#define VRC4173_INTR_GIU29				(VRC4173_INTR_CLASS_GIU+29)
#define VRC4173_INTR_GIU30				(VRC4173_INTR_CLASS_GIU+30)
#define VRC4173_INTR_GIU31				(VRC4173_INTR_CLASS_GIU+31)

#endif
