/* Copyright, 1999-2001, QNX Software Systems Ltd.  All Rights Reserved

 * This source code has been published by QNX Software Systems
 * Ltd. (QSSL). However, any use, reproduction, modification, distribution
 * or transfer of this software, or any software which includes or is based
 * upon any of this code, is only permitted if expressly authorized by a
 * written license agreement from QSSL. Contact the QNX Developer's Network
 * or contact QSSL's legal department for more information.
 */

#ifndef __DCMD_UCB1400_H_INCLUDED__
#define __DCMD_UCB1400_H_INCLUDED__

#include <sys/dcmd_input.h>

__BEGIN_DECLS

#include <_pack64.h>

/*--------------------------------------------------------------------------------*/

#define UCB1400_DEV_NAME "/dev/ucb1400"  
  
#define	_DCMD_UCB1400            (0x777f)	/* Start of range of UCB1400 devctls in the devctrl space */

typedef struct _ucb1400_read_write_data {   
    _uint32 n_reg_addr;
    _uint32 n_reg_data;
} ucb1400_read_write_data_t, * pucb1400_read_write_data_t;
  

#define DEVCTL_UCB1400_VERSION  (0x01)
#define DEVCTL_UCB1400_READ     (0x03)
#define DEVCTL_UCB1400_WRITE    (0x04)


#define DCMD_UCB1400_VERSION __DIOF(_DCMD_UCB1400, DEVCTL_UCB1400_VERSION,   int)
#define DCMD_UCB1400_READ    __DIOTF(_DCMD_UCB1400, DEVCTL_UCB1400_READ,   ucb1400_read_write_data_t)
#define DCMD_UCB1400_WRITE   __DIOT(_DCMD_UCB1400, DEVCTL_UCB1400_WRITE,  ucb1400_read_write_data_t)


/*--------------------------------------------------------------------------------*/


#include <_packpop.h>

__END_DECLS

#endif /*  __DCMD_UCB1400_H_INCLUDED__ */
