/*
   Copyright 2001, QNX Software Systems Ltd. All Rights Reserved

   This source code has been published by QNX Software Systems Ltd. (QSSL).
   However, any use, reproduction, modification, distribution or transfer of
   this software, or any software which includes or is based upon any of this
   code, is only permitted under the terms of the QNX Community License version
   1.0 (see licensing.qnx.com for details) or as otherwise expressly authorized
   by a written license agreement from QSSL. For more information, please email
   licensing@qnx.com.
   */

/* M a i n l i n e                                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 2.01  */

#ifdef __USAGE
%C - This is a QNX/Photon Application.
%C [options]

Options:
  -v          Be verbose
  -c          Do not run if config file exists
  -o n        offset for crosshair position, tweek for calibration
  -d w,h      Width and height of the screen to be calibrated

Examples:
%C
  Calibrate

%C -d 320,240
  Calibrate on 1/4 standard VGA screen 640x480 (driver will cover only part of screen)
#endif

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

/* Local headers */
#include "ablibs.h"
#include "globals.h"
#include "abimport.h"
#include "proto.h"
#include "abwidgets.h"
#include "abdefine.h"
#include "abevents.h"
#include "ablinks.h"
#include "abvars.h"

int
main ( int argc, char *argv[] )

	{


	/* AppBuilder Initialization */
	ApInitialize( argc, argv, &AbContext );

	init( argc, argv );

	/* Display main window */
	ApLinkWindow( NULL, &AbApplLinks[0], NULL );

	/* Loop until user quits application */
	PtMainLoop( );
	PtExit( 0 );

	return 0;
	}

static const ApClassTab_t ClassTable[] = {
	{ "PtWindow", &PtWindow },
	{ "PtTimer", &PtTimer },
	{ "PtLabel", &PtLabel },
	{ "PtGroup", &PtGroup },
	{ "PtButton", &PtButton },
	{ "PtNumericInteger", &PtNumericInteger },
	{ "PtIcon", &PtIcon },
	{ NULL, NULL }
	};

ApContext_t AbContext = { ClassTable, 1, AbWidgets };


