/*
   Copyright 2001, QNX Software Systems Ltd. All Rights Reserved

   This source code has been published by QNX Software Systems Ltd. (QSSL).
   However, any use, reproduction, modification, distribution or transfer of
   this software, or any software which includes or is based upon any of this
   code, is only permitted under the terms of the QNX Community License version
   1.0 (see licensing.qnx.com for details) or as otherwise expressly authorized
   by a written license agreement from QSSL. For more information, please email
   licensing@qnx.com.
   */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "globals.h"
#include "abimport.h"
#include "proto.h"


int exit_calibration( PtWidget_t *widget, ApInfo_t *apinfo, 
                      PtCallbackInfo_t *cbinfo )
{
    exit(0);
    return( Pt_CONTINUE );
}


int done_timer_cb( PtWidget_t *widget, ApInfo_t *apinfo, 
                   PtCallbackInfo_t *cbinfo )
{
    static int time_left = 10;
    PtArg_t args[1];

    if( time_left <= 0 )
    {
        // restart calibration
        PtDestroyWidget( DoneWidget );
        DoneWidget  = NULL;
        pointer_raw();
        CurrentTarget = 0;
        State = STATE_UL_PRESS;
        set_target_position();
        PtRealizeWidget( TargetWidget );
        PtTimerArm(ABW_done_timer, 0);
        time_left = 10;
    }
    else if( DoneWidget )
    {
        time_left--;
        PtSetArg(&args[0], Pt_ARG_NUMERIC_VALUE, time_left, 0);
        PtSetResources( PtFindChildClass( PtNumericInteger, DoneWidget ), 
                        1, args);
    }

    return( Pt_CONTINUE );
}

