/*
 * Copyright  2000, QNX Software Systems Ltd.  All Rights Reserved
 *
 * This source code has been published by QNX Software Systems Ltd.
 * (QSSL).  However, any use, reproduction, modification, distribution
 * or transfer of this software, or any software which includes or is
 * based upon any of this code, is only permitted under the terms of
 * the QNX Open Community License version 1.0 (see licensing.qnx.com
 * for details) or as otherwise expressly authorized by a written license
 * agreement from QSSL.  For more information, please email licensing@qnx.com.
 */

/*
 * main.c
 *
 * Main resourse manager module.
 *
 */


#include "devi.h"

extern input_module_t mousedev;
extern input_module_t kbddev;
extern input_module_t kbd;
extern input_module_t msoft;
extern input_module_t msys;
extern input_module_t ps2;
extern input_module_t dev_emul;

/* The bus mouse was supported in qnx4 but hasn't been
 * ported to nto.  I doubt if anyone still uses one but
 * if needed, the module is in the devi/archive directory.
 *
 extern input_module_t busmse;
 */

input_module_t *modules[] = {
        &kbddev,
        &mousedev, 
        &kbd,
        &msoft,
        &msys,
        &ps2,
        NULL
};


int
main(int argc, char *argv[])
{
        return begin(argc, argv);
}




