/*
 * Copyright 2001, QNX Software Systems Ltd. All Rights Reserved
 *
 * This source code has been published by QNX Software Systems Ltd. (QSSL).
 * However, any use, reproduction, modification, distribution or transfer of
 * this software, or any software which includes or is based upon any of this
 * code, is only permitted under the terms of the QNX Open Community License
 * version 1.0 (see licensing.qnx.com for details) or as otherwise expressly
 * authorized by a written license agreement from QSSL. For more information,
 * please email licensing@qnx.com.
 */


#ifndef EXTERN_H_INCLUDED
#ifndef EXT
#define EXT extern
#endif

#define EXTERN_H_INCLUDED

#include "devi.h"

extern int		optind, opterr, optopt;
extern char		*optarg;

EXT int			verbosity;

EXT event_bus_line_t	*Bus;	/* pointer to list of event bus lines 
				   managed by devi */

EXT int			IpGroup; /* input group (used by photon i/f) */
EXT char		*IpTargetDev; /* name of photon device to open */
EXT unsigned int        OptFlags; /* global options */
EXT int			IpCurrentFd; /* fd used to send messages via photon */
EXT input_module_t	*ModuleTable[MODULE_TABLE_SIZE]; /* table of currently
							    supported modules */
EXT common_callbacks_t commonCallbacks; /* Global callback functions     */
EXT char                *pServ_name;
EXT char                *pFull_process_name; // Full process name
#endif

