/*
 * Copyright 2001, QNX Software Systems Ltd. All Rights Reserved
 *
 * This source code has been published by QNX Software Systems Ltd. (QSSL).
 * However, any use, reproduction, modification, distribution or transfer of
 * this software, or any software which includes or is based upon any of this
 * code, is only permitted under the terms of the QNX Open Community License
 * version 1.0 (see licensing.qnx.com for details) or as otherwise expressly
 * authorized by a written license agreement from QSSL. For more information,
 * please email licensing@qnx.com.
 */


#ifndef __USB_H_INCLUDED__
#define __USB_H_INCLUDED__


#include <sys/usbdi.h>

typedef struct _controlRequest 
{
   _uint8 dir ;    /* Direction (URB_DIR_IN or URB_DIR_OUT)                           */
   _uint8 type;    /* Type (USB_TYPE_STANDARD, USB_TYPE_CLASS or USB_TYPE_VENDOR)     */
   _uint8 rec ;    /* Recipient (USB_RECIPENT_DEVICE, _INTERFACE, _ENDPOINT, _OTHER)  */
   _uint8 req ;    /* Request - vendor specific or one of standard                    */
   _uint16 value;  /* Command parameter                                               */
   _uint16 index;  /* Command index( request specific                                 */
} controlRequest, * pControlRequest;

/* Device status flags                                                                */
#define USB_DEVICE_STATUS_FLAGS            (0xff)
#define USB_DEVICE_ON                      (0x01)   
#define USB_DEVICE_PRESENT                 (0x02)

#endif
